ps_latlink_s Struct Reference

Links between DAG nodes. More...

`#include <ps_lattice_internal.h>`

## Data Fields

struct ps_latnode_s * | from
| From node.
struct ps_latnode_s * | to
| To node.
struct ps_latlink_s * | best_prev
int32 | ascr
| Score for from->wid (from->sf to this->ef)
int32 | path_scr
| Best path score from root of DAG.
frame_idx_t | ef
| Ending frame of this word
int32 | alpha
| Forward probability of this link P(w,o_1^{ef})
int32 | beta
| Backward probability of this link P(w|o_{ef+1}^T)

## Detailed Description

Links between DAG nodes.

A link corresponds to a single hypothesized instance of a word with a given start and end point.

Definition at line 96 of file ps_lattice_internal.h.

## Field Documentation

## alpha

int32 ps_latlink_s::alpha

Forward probability of this link P(w,o_1^{ef})

Definition at line 103 of file ps_lattice_internal.h.

Referenced by ps_latlink_prob(), ps_latnode_prob(), ps_lattice_bestpath(), ps_lattice_posterior_prune(), and ps_lattice_write_htk().

## ascr

int32 ps_latlink_s::ascr

Score for from->wid (from->sf to this->ef)

Definition at line 100 of file ps_lattice_internal.h.

Referenced by ps_latlink_prob(), ps_lattice_bestpath(), ps_lattice_link(), ps_lattice_penalize_fillers(), ps_lattice_posterior(), ps_lattice_write(), and ps_lattice_write_htk().

## best_prev

struct ps_latlink_s* ps_latlink_s::best_prev

Definition at line 99 of file ps_lattice_internal.h.

## beta

int32 ps_latlink_s::beta

Backward probability of this link P(w|o_{ef+1}^T)

Definition at line 104 of file ps_lattice_internal.h.

Referenced by ps_latlink_prob(), ps_latnode_prob(), ps_lattice_posterior(), ps_lattice_posterior_prune(), and ps_lattice_write_htk().

## ef

frame_idx_t ps_latlink_s::ef

Ending frame of this word

Definition at line 102 of file ps_lattice_internal.h.

Referenced by ps_latlink_times(), and ps_lattice_link().

## from

struct ps_latnode_s* ps_latlink_s::from

From node.

Definition at line 97 of file ps_lattice_internal.h.

Referenced by ps_latlink_baseword(), ps_latlink_nodes(), ps_latlink_times(), ps_latlink_word(), ps_lattice_bestpath(), ps_lattice_hyp(), ps_lattice_link(), ps_lattice_posterior(), ps_lattice_posterior_prune(), and ps_lattice_reverse_next().

## path_scr

int32 ps_latlink_s::path_scr

Best path score from root of DAG.

Definition at line 101 of file ps_lattice_internal.h.

Referenced by ps_lattice_bestpath(), and ps_lattice_posterior().

## to

struct ps_latnode_s* ps_latlink_s::to

To node.

Definition at line 98 of file ps_lattice_internal.h.

Referenced by ps_latlink_nodes(), ps_lattice_bestpath(), ps_lattice_hyp(), ps_lattice_link(), ps_lattice_posterior(), ps_lattice_posterior_prune(), ps_lattice_traverse_edges(), ps_lattice_traverse_next(), ps_lattice_write(), and ps_lattice_write_htk().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ps_lattice_internal.h